Xerces-C++: XMLSchemaDescription Class Reference

# XMLSchemaDescription Class Reference

Inheritance diagram for XMLSchemaDescription:

List of all members.

## The SchemaDescription Interface
enum | ContextType { CONTEXT_INCLUDE, CONTEXT_REDEFINE, CONTEXT_IMPORT, CONTEXT_PREPARSE, CONTEXT_INSTANCE, CONTEXT_ELEMENT, CONTEXT_ATTRIBUTE, CONTEXT_XSITYPE, CONTEXT_UNKNOWN }
virtual ContextType | getContextType () const =0
| getContextType
virtual const XMLCh * | getTargetNamespace () const =0
| getTargetNamespace
virtual const RefArrayVectorOf < XMLCh > * | getLocationHints () const =0
| getLocationHints
virtual const QName * | getTriggeringComponent () const =0
| getTriggeringComponent
virtual const QName * | getEnclosingElementName () const =0
| getenclosingElementName
virtual const XMLAttDef * | getAttributes () const =0
| getAttributes
virtual void | setContextType (ContextType)=0
| setContextType
virtual void | setTargetNamespace (const XMLCh *const)=0
| setTargetNamespace
virtual void | setLocationHints (const XMLCh *const)=0
| setLocationHints
virtual void | setTriggeringComponent (QName *const)=0
| setTriggeringComponent
virtual void | setEnclosingElementName (QName *const)=0
| getenclosingElementName
virtual void | setAttributes (XMLAttDef *const)=0
| setAttributes
## Public Member Functions
Virtual destructor for derived classes
virtual | ~XMLSchemaDescription ()
| virtual destructor
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType
## Protected Member Functions
| XMLSchemaDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.

## Member Enumeration Documentation

enum XMLSchemaDescription::ContextType

Enumerator:

  CONTEXT_INCLUDE |
  CONTEXT_REDEFINE |
  CONTEXT_IMPORT |
  CONTEXT_PREPARSE |
  CONTEXT_INSTANCE |
  CONTEXT_ELEMENT |
  CONTEXT_ATTRIBUTE |
  CONTEXT_XSITYPE |
  CONTEXT_UNKNOWN |

## Constructor & Destructor Documentation

virtual XMLSchemaDescription::~XMLSchemaDescription | ( |  | ) | `[virtual]`

virtual destructor

XMLSchemaDescription::XMLSchemaDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) | `[protected]`

Hidden Constructors.

## Member Function Documentation

virtual Grammar::GrammarType XMLSchemaDescription::getGrammarType | ( |  | ) | const`[virtual]`

getGrammarType

Implements XMLGrammarDescription.

virtual ContextType XMLSchemaDescription::getContextType | ( |  | ) | const`[pure virtual]`

getContextType

virtual const XMLCh* XMLSchemaDescription::getTargetNamespace | ( |  | ) | const`[pure virtual]`

getTargetNamespace

virtual const RefArrayVectorOf<XMLCh>* XMLSchemaDescription::getLocationHints | ( |  | ) | const`[pure virtual]`

getLocationHints

virtual const QName* XMLSchemaDescription::getTriggeringComponent | ( |  | ) | const`[pure virtual]`

getTriggeringComponent

virtual const QName* XMLSchemaDescription::getEnclosingElementName | ( |  | ) | const`[pure virtual]`

getenclosingElementName

virtual const XMLAttDef* XMLSchemaDescription::getAttributes | ( |  | ) | const`[pure virtual]`

getAttributes

virtual void XMLSchemaDescription::setContextType | ( | ContextType |  | ) | `[pure virtual]`

setContextType

virtual void XMLSchemaDescription::setTargetNamespace | ( | const XMLCh * | const | ) | `[pure virtual]`

setTargetNamespace

virtual void XMLSchemaDescription::setLocationHints | ( | const XMLCh * | const | ) | `[pure virtual]`

setLocationHints

virtual void XMLSchemaDescription::setTriggeringComponent | ( | QName * | const | ) | `[pure virtual]`

setTriggeringComponent

virtual void XMLSchemaDescription::setEnclosingElementName | ( | QName * | const | ) | `[pure virtual]`

getenclosingElementName

virtual void XMLSchemaDescription::setAttributes | ( | XMLAttDef * | const | ) | `[pure virtual]`

setAttributes

The documentation for this class was generated from the following file:

- XMLSchemaDescription.hpp